/*
 * @(#)SelectAreaTracker.java
 * 
 * Copyright (c) 2009-2010 by the original authors of JHotDraw
 * and all its contributors.
 * All rights reserved.
 * 
 * The copyright of this software is owned by the authors and  
 * contributors of the JHotDraw project ("the copyright holders").  
 * You may not use, copy or modify this software, except in  
 * accordance with the license agreement you entered into with  
 * the copyright holders. For details see accompanying license terms. 
 */

package org.jhotdraw.draw.tool;

import org.jhotdraw.annotations.NotNull;

/**
 * A <em>select area tracker</em> provides the behavior for selecting figures
 * in a drawing area to the {@link SelectionTool}.
 *
 * <hr>
 * <b>Design Patterns</b>
 *
 * <p><em>Strategy</em><br>
 * The different behavior states of the selection tool are implemented by
 * trackers.<br>
 * Context: {@link SelectionTool}; State: {@link DragTracker},
 * {@link HandleTracker}, {@link SelectAreaTracker}.
 * <hr>
 *
 * @author Werner Randelshofer
 * @version $Id: SelectAreaTracker.java -1   $
 */
@NotNull
public interface SelectAreaTracker extends Tool {

}
